Subject: Re: Problem with localtime from Cygwin's perl
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2004 22:26:12 -0800

On Thu, Mar 18, 2004 at 07:26:03PM -0800, Andrew DeFaria wrote:
> I'm observing the following:
> 
> C09-272-A:date
> Thu Mar 18 19:22:53 PST 2004
> C09-272-A:perl -e 'print scalar (localtime) . "\n"'
> Fri Mar 19 03:22:58 2004
> C09-272-A:ccperl -e 'print scalar (localtime) . "\n"'
> Thu Mar 18 19:23:03 2004
> C09-272-A:type -p perl
> /bin/perl
> C09-272-A:type -p ccperl
> /dev/c/progra~1/rational/clearc~1/bin/ccperl
> C09-272-A:uname -a
> CYGWIN_NT-5.0 C09-272-A 1.5.7(0.109/3/2) 2004-01-30 19:32 i686 unknown 
> unknown Cygwin
> 
> Notice that when using Cygwin's perl I get a GMT time but when using 
> ccperl (A perl from Rational Clearcase based off of ActiveState) I get a 
> proper PST time. My question is why and what can I do to fix it.

This is a bug in localtime_r (seen by threaded perls under cygwin) that
I think is fixed in 1.5.8.

You can work around it by putting "use POSIX 'tzset'; tzset()" anywhere
before the first call to localtime.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/